
offsets <- readLines("offsetfile.txt")
offsets <- offsets[-length(offsets)]

offsets <- strsplit(offsets, " ", fixed=T)

offsets <- sapply(offsets, function (row)
	{
		as.integer(row[length(row) - 1])
	})

accOff <- rep(0,length(offsets))
accOff[1] <- 1
for (i in 2:length(offsets))
{
	accOff[i] <- accOff[i-1] + offsets[i-1]
}
n <- 2504
m <- accOff[length(accOff)] + offsets[length(offsets)] - 1

m <- matrix(F, nrow=n, ncol=m)

for (chr in 1:22)
{
	datFile <- paste("1kgenomes_variants_af0.01_chr",chr,"_genebodyOnly.dat",sep="")
	transactions <- readLines(datFile)
	invisible(sapply(1:length(transactions), function (tIdx)
	{
		posis <- as.integer(strsplit(transactions[tIdx], " ", fixed=T)[[1]]) + accOff[chr] - 1
		invisible(sapply(posis, function (j)
		{
			m[tIdx, j] <<- T
		}
		))
	}
	))
	print(paste("Processed chromosome ",chr,sep=""))
}

# convert database to .dat format
mat <- lapply(
        1:nrow(m),
        function (idx)
        {
            return(as.character(which(m[idx,] == T)))
        }
    )

# get maximum number of ones in a row
maxCols <- max(
    sapply(1:length(mat),
    function (idx)
    {
        return(length(mat[[idx]]))
    }
    )
)
newFile <- "1kgenomes_variants_af0.01_autosome_genebodyOnly.dat"
# flush output file
close(file(newFile, open="w"))
# write result to specified file
invisible(lapply(mat, write, newFile, append=TRUE, ncolumns=maxCols, sep=" "))